# Trait collections::slice::bytes::MutableByteVector [−] [src]

    pub trait MutableByteVector {
        fn set_memory(&mut self, value: u8);
    }

Deprecated since 1.6.0

: unidiomatic functions not pulling their weight

A trait for operations on mutable `[u8]`s.

## Required Methods

### `fn set_memory(&mut self, value: u8)`

Deprecated since 1.6.0

: unidiomatic functions not pulling their weight

Sets all bytes of the receiver to the given value.

## Implementors

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize`)